Make the search for the generated output file work on Win32 also.

git-svn-id: svn://svn.lyx.org/lyx/lyx-devel/trunk@8018 a592a061-630c-0410-9148-cb99ea01b6c8
This commit is contained in:
Angus Leeming 2003-11-03 12:31:40 +00:00
parent 4faa9e29cf
commit 807bc25587
2 changed files with 20 additions and 9 deletions

View File

@ -1,3 +1,10 @@
2003-11-03 Angus Leeming <leeming@lyx.org>
* scripts/convertDefault.sh: Do not use 'cut' when checking whether
the output file was generated successfully. Win32 filenames have the
form 'C:\my\file' and use of 'cut' will cause us to look for a file
called 'C'...
2003-10-23 José Matos <jamatos@lyx.org>
* layouts/db_stdcounters.inc:

View File

@ -15,18 +15,22 @@
# replacement in ~/.lyx/scripts
# converts an image from $1 to $2 format
convert -depth 8 $1 $2
if [ $? -ne 0 ]; then
exit $?
fi
convert -depth 8 $1 $2 || {
echo "$0 ERROR"
echo "Execution of \"convert\" failed."
exit 1
}
# It appears that convert succeeded, but we know better than to trust it ;-)
# convert is passed strings in the form "FMT:FILENAME", so use the ':' to
# delimit the two parts.
FILE=`echo $2 | cut -d ':' -f 2`
# Do not use 'cut' because Win32 filenames have the form 'C:\my\file'.
FILE=`echo $arg2 | sed 's,^[^:]*:,,'`
# FSTATUS == 0 is the file exists and == 1 if it does not.
FSTATUS=0
test -f $FILE || FSTATUS=1
test -f $FILE || {
echo "$0 ERROR"
echo "Unable to find file \"${FILE}\""
exit 1
}
exit $FSTATUS
echo "$0 generated file \"${FILE}\" successfully."